cURL
curl --request POST \
--url https://api.rownd.io/me/auth/magic \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redirect_url": "<string>"
}
'import requests
url = "https://api.rownd.io/me/auth/magic"
payload = { "redirect_url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({redirect_url: '<string>'})
};
fetch('https://api.rownd.io/me/auth/magic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"link": "https://rownd.link/c8fLG0a",
"app_user_id": "user_fmpsrdqfcqzyicf3msor42e8"
}Magic Links
Create a magic link
Enables the user identified by their access token to create a magic link for themselves. Useful for signing in to a new device via QR code, among other things.
POST
/
me
/
auth
/
magic
cURL
Authorizations
Bearer authentication header of the form Bearer <token> where <token> is the user's Rownd JWT
Body
application/json
Response
200 - application/json
Magic link created successfully.
⌘I